%define upstream_name    MooseX-Types-Perl
%define upstream_version 0.101344

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Moose types that check against Perl syntax
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(charnames)
BuildRequires: perl(strict)
BuildRequires: perl(version) >= 0.820.0
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This library provides MooseX::Types for checking things (mostly strings)
against syntax that is, or is a reasonable subset of, Perl syntax.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Jan 02 2023 tv <tv> 0.101.344-1.mga9
+ Revision: 1929019
- update to 0.101344

* Sun Mar 20 2022 umeabot <umeabot> 0.101.343-9.mga9
+ Revision: 1804796
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.101.343-8.mga8
+ Revision: 1495692
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.101.343-7.mga7
+ Revision: 1269654
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.101.343-6.mga6
+ Revision: 1030705
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.101.343-5.mga6
+ Revision: 946831
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.101.343-4.mga5
+ Revision: 745205
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.101.343-3.mga5
+ Revision: 735886
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.101.343-2.mga5
+ Revision: 685587
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.101.343-1.mga5
+ Revision: 588545
- update to 0.101343

* Mon Oct 21 2013 umeabot <umeabot> 0.101.342-2.mga4
+ Revision: 539476
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 sander85 <sander85> 0.101.342-1.mga4
+ Revision: 492137
- update to 0.101342

* Sun Jan 13 2013 umeabot <umeabot> 0.101.341-2.mga3
+ Revision: 370362
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 05 2012 jquelin <jquelin> 0.101.341-1.mga2
+ Revision: 191226
- update to 0.101341

* Tue Jan 25 2011 jquelin <jquelin> 0.101.340-1.mga1
+ Revision: 38662
- mageia rebuild
- imported package perl-MooseX-Types-Perl

